Subject: Re: [PATCH] ppc32: pmac sleep support update

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 20 Jan 2005 13:23:53 +1100

On Thu, 2005-01-20 at 02:34 +0100, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> >>     cpufreq: resume failed to assert current frequency is what timing core thinks it is.
> >
> > Weird ... Can you try without cpufreq built in the kernel ?
> 
> I think this message is unrelated to the problem, it occurs with all
> kernels so far.
> 
> > Also what is the exact CPU revision ?
> 
> It's a 750FX revision 1.18.
> 
> > I think you are just experiencing memory corruption...
> 
> Yes, I agree, I get completely different crashes whenever I use a slightly
> different kernel.

It would be interesting to hack around pmac_cache.S and see if you get
it more reliable ...

Ben.